> ## Documentation Index
> Fetch the complete documentation index at: https://docs.range.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Address Details

> Returns a list of addresses that match the specified search term.



## OpenAPI

````yaml /api-reference/data-api.json get /v2/addresses
openapi: 3.0.0
info:
  title: Range Data API
  description: >-
    The Range Data API for crypto addresses, networks, transactions, and
    entities.
  version: 1.7.8
  contact: {}
servers:
  - url: https://api.range.org
    description: Range API Server
security:
  - Authorization: []
tags:
  - name: Address Information
    description: Get information about a crypto address.
  - name: Entity Information
    description: Get information about entities.
  - name: Network Information
    description: Get information about networks.
  - name: Protocols
    description: Get information about cross-chain protocols.
  - name: Token transfers
    description: Get information about token transfers.
paths:
  /v2/addresses:
    get:
      tags:
        - Address Information
      summary: Search Address Details
      description: Returns a list of addresses that match the specified search term.
      operationId: searchAddressLabels
      parameters:
        - name: networks
          required: false
          in: query
          description: >-
            Comma-separated list of blockchain networks to filter by (e.g.,
            ethereum, solana). Repeats also allowed.
          schema:
            example:
              - ethereum
              - solana
            type: array
            items:
              type: string
        - name: status
          required: false
          in: query
          description: Comma-separated list of address statuses. Repeats also allowed.
          schema:
            example:
              - malicious
              - sanctioned
            type: array
            items:
              type: string
              enum:
                - malicious
                - blacklisted
                - sanctioned
        - name: cursor
          required: false
          in: query
          description: >-
            Opaque cursor for pagination, obtained from a previous response meta
            field.
          schema:
            example: n51
            type: string
        - name: size
          required: false
          in: query
          description: Number of results per page (1–200, default 50).
          schema:
            minimum: 1
            maximum: 200
            example: 50
            type: number
      responses:
        '200':
          description: List of addresses that match the specified search term.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AddressIndexResponseDto'
components:
  schemas:
    AddressIndexResponseDto:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/AddressDto'
        meta:
          $ref: '#/components/schemas/CursorMetaDto'
      required:
        - items
        - meta
    AddressDto:
      type: object
      properties:
        id:
          type: string
          example: solana:9xQeWvG816bUx9EPjHmaT23yvVM2ZWbrrpZb9PusVFin
          description: Record id
        address:
          type: string
          example: 9xQeWvG816bUx9EPjHmaT23yvVM2ZWbrrpZb9PusVFin
          description: Address
        network:
          type: string
          example: solana
          description: Blockchain network identifier (e.g. solana, stellar)
        type:
          type: string
          enum:
            - account
            - validator
            - contract
            - module
            - multisig
          example: multisig
        status:
          type: array
          example:
            - blacklisted
          items:
            type: string
            enum:
              - malicious
              - blacklisted
              - sanctioned
        label:
          type: string
          example: Treasury Multisig
        entity:
          type: string
          example: DAO Alpha
        blocked_by:
          example:
            - id: dao-alpha
              name: DAO Alpha
              icon_url: https://cdn.example.com/icons/dao-alpha.png
          type: array
          items:
            $ref: '#/components/schemas/EntityDto'
        tags:
          example:
            - DAO
            - Squads v3 Multisig
          type: array
          items:
            type: string
        balances:
          example:
            - denom: SOL
              amount: '5000000000'
          type: array
          items:
            $ref: '#/components/schemas/BalanceDto'
        last_active_at:
          type: string
          example: '2025-08-20T12:34:56.000Z'
      required:
        - id
        - address
        - network
        - type
        - status
        - label
        - entity
        - blocked_by
        - tags
        - balances
        - last_active_at
    CursorMetaDto:
      type: object
      properties:
        next_cursor:
          type: string
          nullable: true
          description: >-
            Opaque string cursor pointing to the next page of results. null if
            there is no next page.
          example: eyJpZCI6IjkxeFFlV3Z...
        previous_cursor:
          type: string
          nullable: true
          description: >-
            Opaque string cursor pointing to the previous page of results. null
            if there is no previous page.
          example: eyJpZCI6IjkxeFFlV3Z...
        first_page_cursor:
          type: string
          description: >-
            Opaque string cursor pointing to the very first page in the entire
            dataset with respect to the current filter.
          example: eyJpZCI6IjkxeFFlV3Z...
        last_page_cursor:
          type: string
          nullable: true
          description: >-
            Opaque string cursor pointing to the very last page in the entire
            dataset with respect to the current filter.
          example: eyJpZCI6IjkxeFFlV3Z...
        total_count:
          type: number
          nullable: true
          description: Total number of results.
          example: 100
        page_number:
          type: number
          description: Current page number.
          example: 1
    EntityDto:
      type: object
      properties:
        id:
          type: string
          example: dao-alpha
        name:
          type: string
          example: DAO Alpha
        icon_url:
          type: string
          example: https://cdn.example.com/icons/dao-alpha.png
      required:
        - id
        - name
    BalanceDto:
      type: object
      properties:
        amount:
          type: string
          example: '5000000000'
        denom:
          type: string
          example: SOL
      required:
        - amount
        - denom
  securitySchemes:
    Authorization:
      scheme: bearer
      bearerFormat: API Key
      description: 'Use Authorization: Bearer <api-key>'
      type: http

````